Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen
Interface Function

All Known Implementing Classes:
  BooleanFunction, CeilingFunction, ConcatFunction, ContainsFunction, CountFunction, DocumentFunction, EndsWithFunction, EvaluateFunction, FalseFunction, FloorFunction, IdFunction, LangFunction, LastFunction, LocaleFunctionSupport, LocalNameFunction, MatrixConcatFunction, NameFunction, NamespaceUriFunction, NormalizeSpaceFunction, NotFunction, NumberFunction, PositionFunction, RoundFunction, StartsWithFunction, StringFunction, StringLengthFunction, SubstringAfterFunction, SubstringBeforeFunction, SubstringFunction, SumFunction, TranslateFunction, TrueFunction

public interface Function

Interface for the extensible function framework.

NOTE: This class is not typically used directly, but is exposed for writers of extended XPath packages.

Implementations of `Function` are functors which are used to evaluate a function-call within an XPath expression.

Author:
  bob mcwhirter
See Also:
  `FunctionContext`

Method Summary
`Object` | `call(Context context, List args)` Evaluate this function.

Method Detail

### call

    public Object call(Context context,
                       List args)
                throws FunctionCallException

  Evaluate this function.

  Parameters:
    `context` - the context at the point in the expression when the function is called
    `args` - arguments provided to the function
  Returns:
    the result of evaluating the function; a `List` (node-set), `Double`, `Boolean`, or `String`
  Throws:
    `FunctionCallException` - if an XPath error occurs during evaluation; for instance, if the number or type of the arguments is incorrect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.